Skip to main content
`Ctrl`+`K`

# MATSBAIJ

MATSBAIJ = “sbaij” - A matrix type to be used for symmetric block sparse matrices. This matrix type is identical to `MATSEQSBAIJ` when constructed with a single process communicator, and `MATMPISBAIJ` otherwise.

## Options Database Key

- -mat_type sbaij - sets the matrix type to `MATSBAIJ` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATSEQSBAIJ`, `MATMPISBAIJ`, `MatCreateSBAIJ()`, `MATSEQSBAIJ`, `MATMPISBAIJ`

## Level

beginner

## Location

src/mat/impls/sbaij/mpi/mpisbaij.c

## Examples

src/ksp/ksp/tutorials/ex27.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages